## shfs-utils-0.35-8.src.tar.gz

=== Makefile ===
# for making packages
ROOT=/
# which kernel version to use
KERNEL=$(shell uname -r)
# where to install module
MODULESDIR=${ROOT}/lib/modules/${KERNEL}
# kernel source tree
KERNEL_SOURCES=${MODULESDIR}/build
# use modversions? (Linux 2.4 only) [yes/no/detect]
MODVERSIONS=detect
# leave empty if you don't need man pages installed
MAN_PAGE_DIR=/usr/share/man
# leave empty if you don't need html manual
HTML_DOC_DIR=

export ROOT KERNEL MODULESDIR KERNEL_SOURCES MODVERSIONS MAN_PAGE_DIR TMP

SHFS_VERSION=$(shell head -n1 Changelog |sed "s/^[^(]*(\([^)]*\)).*$$/\1/")

export SHFS_VERSION

default: all

all: module utils docs
clean:  module-clean utils-clean docs-clean
install: module-install utils-install docs-install
uninstall: module-uninstall utils-uninstall docs-uninstall

utils:
	@make -C shfsmount
	
utils-clean:
	@make -C shfsmount clean

utils-install:
	@make -C shfsmount install
	
utils-uninstall:
	@make -C shfsmount uninstall

module:
	@make -C shfs

module-clean:
	@make -C shfs clean

module-install:
	@make -C shfs install

module-uninstall:
	@make -C shfs uninstall

docs:
	@make -C docs

docs-clean:
	@make -C docs clean

docs-install:
	@make -C docs install

docs-uninstall:
	@make -C docs uninstall

dist: distclean clean rpm-spec deb-changelog
	@make -C docs
	mkdir shfs-${SHFS_VERSION}
	rm -f shfs-${SHFS_VERSION}.tar.gz
	find . -maxdepth 1 ! -name . ! -name "shfs-${SHFS_VERSION}" -exec cp -R {} shfs-${SHFS_VERSION}/ \;
	tar -czf shfs-${SHFS_VERSION}.tar.gz --exclude=CVS --exclude=amd --exclude=html/*.in --exclude=linkbar --exclude=logo shfs-${SHFS_VERSION}
	rm -rf shfs-${SHFS_VERSION}

distclean:
	rm -f shfs-${SHFS_VERSION}.tar.gz

deb-control:
	sed s%@@KERNEL@@%${KERNEL}%g debian/control.in >debian/control
	
deb-control-clean:
	rm -f debian/control
	
deb: deb-changelog deb-control
	dpkg-buildpackage -rfakeroot -us -uc -tc

deb-clean: deb-changelog-clean deb-control-clean
	if [ -f ./build-stamp ]; then \
		fakeroot debian/rules clean; \
	fi

deb-changelog:
	ln -fs ../Changelog debian/changelog

deb-changelog-clean:
	rm -f debian/changelog

rpm: dist
	make -C rpm rpm

rpm-clean:
	if [ -f rpm/shfs-module.spec -o -f rpm/shfs-utils.spec ]; then \
		make -C rpm rpm-clean; \
	fi

rpm-spec:
	make -C rpm spec

rpm-spec-clean:
	make -C rpm spec-clean

.PHONY: default all clean install uninstall \
	utils utils-clean utils-install utils-uninstall \
        module module-clean module-install module-uninstall \
	docs docs-clean docs-install docs-uninstall \
	dist distclean deb deb-clean \
	deb-control deb-control-clean deb-changelog deb-changelog-clean \
	rpm rpm-clean rpm-spec rpm-spec-clean

=== docs/Makefile ===

all:
	@make -C manpages
	@make -C html

clean:
	@make -C manpages clean
	@make -C html clean

install:
	@make -C manpages install
	@make -C html install

uninstall:
	@make -C manpages uninstall
	@make -C html uninstall
	
.PHONY : all clean install uninstall

=== docs/html/Makefile ===
HTMLPATH = ${ROOT}${HTML_DOC_DIR}

HTMLFILES = faq.html index.html install.html internals.html

all: ${HTMLFILES}

%.html: %.in linkbar
	@ echo $< -\> $@
	@ >$@; cat $<|while read i; do\
		echo $$i >>$@;\
		if echo $$i|grep '^<!-- linkbar -->$$' >/dev/null; then\
			cat linkbar >>$@;\
		fi\
	done

sf: all
	for i in ${HTMLFILES}; do\
		sed -e 's|../../\([^"]*\)|http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/shfs/shfs/\1?rev=HEAD|g' $$i|while read l; do\
			if echo $$l|grep '^<!-- logo -->$$' >/dev/null; then\
				cat logo >>$$i.tmp;\
			else\
				echo $$l >>$$i.tmp;\
			fi\
		done;\
		mv $$i.tmp $$i;\
	done

html-clean:
	rm -f *.html

clean:

install: all
ifneq (${HTML_DOC_DIR},)
	for i in *.html *.css images/*; do\
		install -m644 -b -D $$i ${HTMLPATH}/$$i;\
	done

endif

uninstall:
ifneq (${HTML_DOC_DIR},)
	rm -f ${HTMLPATH}/*.html ${HTMLPATH}/*.css ${HTMLPATH}/images/*
endif

.PHONY : sf all clean install uninstall

=== PKGBUILD ===
# Maintainer: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
# Contributor: Sébastien Luttringer
# Contributor: Jaroslaw Swierczynski <swiergot@juvepoland.com>

pkgname=shfs-utils
pkgver=0.35
pkgrel=8
pkgdesc='SHell FileSystem Linux utils'
url='http://shfs.sourceforge.net/'
license=('GPL')
arch=('x86_64')
depends=('glibc' 'openssh')
makedepends=('patch')
source=("https://downloads.sourceforge.net/sourceforge/shfs/shfs-$pkgver.tar.gz"
        'shfs-utils-make.patch')
sha256sums=('0d48ffe4d801180c15466f20aaa5802adb9d22067e8941e051dc3c64717ec3c2'
            'e607fcc079cfe4d3af2f5301d485682650fcb5675dc5e58c8087f854b1c0f19c')

prepare() {
  patch -Np0 -d shfs-$pkgver < $pkgname-make.patch
}

build() {
  cd shfs-$pkgver
  make -j1 utils
}

package() {
  cd shfs-$pkgver
  make -j1 ROOT="$pkgdir" utils-install
  # remove sbin symlinks
  rm -r "$pkgdir/sbin"
}

=== debian/rules ===
#!/usr/bin/make -f
# Rules for building of shfs Package
# stolen from ywho (c) 1999 Martin Mares, mj at ucw.cz

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) ROOT=`pwd`/debian/tmp/ MAN_PAGE_DIR= HTML_DOC_DIR= module-install
	$(MAKE) ROOT=`pwd`/debian/shfs-utils/ MAN_PAGE_DIR= HTML_DOC_DIR= utils-install

	dh_install

binary-common: build
	dh_testdir
	dh_testroot
	dh_installdocs -Xfaq.in -Xindex.in -Xinstall.in -Xinternals.in -XCVS
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
	dh_installman
#	dh_undocumented
	dh_installchangelogs
	dh_strip
#	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary-common binary install
